.formPaciente__body
{
    font-family: 'Roboto', sans-serif;
    background: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 120vh;
    padding: 30px 0;
    overflow: auto; 
}

.formPaciente__card{
    width: 700px; /* Ajusta el ancho del formulario */
    /*border: 3px solid;*/
    padding: 20px;
    border-radius: 25px;
    background-color: #ffffff;
    box-shadow: 0px 0px 10px rgba(27, 26, 26, 0.2); /* Añade la sombra */
    margin: 0 auto; /* Centra horizontalmente el card */
}

.formPaciente__card h1 {
    text-align: center;
}

main{
    max-width: 1200px;
    width: 90%;
    min-height: 140vh;
    margin: auto;
    padding: 20px;
    overflow: auto;
}

.formPaciente{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.formPaciente__label{
    display: block;
    font-weight: 700;
    padding: 10px;
    cursor: pointer;
}

.formPaciente__input{
    width: 100%;
    background: #FFF;
    border: 1px solid;
    border-radius: 3px;
    height: 45px;
    line-height: 45px;
    padding: 0 40 0 10;
    transition: .3s ease all;
}

.formPaciente__input:focus{
    border: 3px solid #0075FF;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 0.4);
}


.formPaciente__input-error{
font-size: 12px;
margin-bottom: 0;
display: none;
}

.formPaciente__input-error-activo{

    display: block;
}



.formPaciente__grupo {
    position: relative;
    margin-bottom: 0px;
}


.formPaciente__grupo_input {
    position: relative;
}



.formPaciente__validacion-estado {
    position: absolute;
    left: 90%; 
    top: 50%; 
    transform: translateY(-50%);
    font-size: 16px;
    opacity: 0;
}


.formPaciente__mensaje, .formPaciente__grupo-btn-enviar, .formPaciente__grupo-link{
grid-column: span 2;
}

.formPaciente__mensaje{
    height: 45px;
    line-height: 45px;
    background: #F66060;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
}

.formPaciente__mensaje-activo{
display: block;
}

.formPaciente__mensaje p{
    margin: 0;
    
}

.formPaciente__grupo-btn-enviar{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formPaciente__btn{
    height: 45px;
    line-height: 45px;
    width: 30%;
    /*background: #057381d7;*/
    background: #642a73;
    color: #FFF;
    font-weight: bold;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: .1s ease all;
}

.formPaciente__btn:hover{
    box-shadow: 3px 0px 30px rgba(163, 163, 163, 1);
}

.formPaciente__mensaje-exito{
    font-size: 16px;
    font-weight: bold;
    color: #0f5705;
    display: none;
}

.formPaciente__mensaje-exito-activo{
display: block;
}

.formPaciente__grupo-link {
    display: flex;
    justify-content: center; 
    align-items: center; 
    margin-top: 0; /* Ajustar si es necesario */
}

.formPaciente__grupo-link a{
    text-decoration: none;
    color: #000; 
    font-size: 20px;
}

.formPaciente__grupo-link:last-child {
    margin-top: 20px; /* Ajusta el valor según sea necesario para que el enlace "Inicio" sea visible */
}

/*--Estilos para validacion*/
.formPaciente__grupo-correcto .formPaciente__validacion-estado{
color: #1ed12d;
opacity: 1;
}

.formPaciente__grupo-incorrecto .formPaciente__label{
    color: #bb2929;
}

.formPaciente__grupo-incorrecto .formPaciente__validacion-estado{
    color: #bb2929;
    opacity: 1;
}


.formPaciente__grupo-incorrecto .formPaciente__input{
    border: 3px solid #bb2929;
}





@media screen and (max-width: 768px) {
    .formPaciente__card {
        width: 90%; 
    }

    .formPaciente {
        grid-template-columns: 1fr; 
    }

    .formPaciente__grupo {
        margin-bottom: 20px; 
    }

    .formPaciente__grupo_input {
        width: 100%; 
    }

    .formPaciente__label {
        padding: 5px 0; 
    }

    .formPaciente__mensaje,
    .formPaciente__grupo-btn-enviar,
    .formPaciente__grupo-link {
        grid-column: span 1; 
    }

    .formPaciente__mensaje,
    .formPaciente__mensaje-exito {
        padding: 10px; 
    }

    .formPaciente__btn {
        width: 100%;
    }
}
